
# Version Info
VERSION = '0.0.2'

# Directory names
ARTIFACTORY_ARTIFACTS_DIR_NAME = 'artifacts'
ARTIFACTORY_DATA_DIR_NAME = 'data'
ARTIFACTORY_DATA_ARTIFACT_DIR_NAME = 'artifact'
ARTIFACTORY_ARTIFACTS_DIR_DIR_NAME = 'artifacts'

# Environment variable name
ARTIFACTORY_ROOT_ENV_VAR = 'ARTIFACTORY_ROOT'
ARTIFACTORY_CACHE_ROOT_ENV_VAR = 'ARTIFACTORY_CACHE_ROOT'
PROJECTS_CONFIG_ENV_VAR = 'ARTIFACTORY_PROJECTS_CONFIG'

# Lock
ARTIFACTORY_LOCK_FILE = '.lock'
ARTIFACTORY_LOCK_HISTORY_FILE = ARTIFACTORY_LOCK_FILE + '.history'

# Config file names
ARTIFACTORY_CONFIG_FILE_NAME = 'artifactory.json'
PROJECT_CONFIG_DEFAULT_FILE_NAME = 'project.json'
ARTIFACT_ID_CONFIG_FILE_NAME = 'artifact_id.json'
ARTIFACT_INFO_CONFIG_FILE_NAME = 'artifact_info.json'
BUILD_INFO_CONFIG_FILE_NAME = 'build_info.json'
